aboutsummaryrefslogtreecommitdiffstats
path: root/community/exim/exim.initd
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2017-04-24 23:45:41 +0300
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-04-25 08:40:59 +0000
commitd93a16e6ddac2cdebdc59adcf0d755a5d85c65bb (patch)
tree4fb4aef5607e9bbbd4f983676ef0c1e2b5466551 /community/exim/exim.initd
parente526a03906bcc61aefa7729e23fdfc5f1579f3d8 (diff)
downloadaports-d93a16e6ddac2cdebdc59adcf0d755a5d85c65bb.tar.bz2
aports-d93a16e6ddac2cdebdc59adcf0d755a5d85c65bb.tar.xz
community/exim: move from testing
It works pretty fine. So, I think, it's time to move it from testing.
Diffstat (limited to 'community/exim/exim.initd')
-rw-r--r--community/exim/exim.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/community/exim/exim.initd b/community/exim/exim.initd
new file mode 100644
index 0000000000..275279e168
--- /dev/null
+++ b/community/exim/exim.initd
@@ -0,0 +1,29 @@
+#!/sbin/openrc-run
+
+description="EXIM internet mailer"
+cfgfile=/etc/exim/exim.conf
+pidfile=/run/exim.pid
+command=/usr/sbin/exim
+command_args=${command_args:--bd -q15m}
+required_files="$cfgfile"
+extra_started_commands="reload"
+description_reload="Reload configuration"
+
+depend() {
+ use antivirus net
+ provide mta
+}
+
+start_pre() {
+ ebegin
+ checkpath -d -o exim:mail -m750 "/var/log/exim"
+ checkpath -d -o exim:mail -m750 "/usr/lib/exim"
+ $command -bV >/dev/null 2>>${startuplog:-/dev/null}
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading $RC_SVCNAME"
+ start-stop-daemon --signal HUP --pidfile $pidfile
+ eend $?
+}